Line Item Printing¶
Endpoints related to line item printing.
- GET /line-item-estimate/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested line item estimate cannot be found.
403 Forbidden – You are not authorized to complete the request.
405 Method Not Allowed – MethodNotAllowed
- GET /line-item-estimate/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested line item estimate cannot be found.
403 Forbidden – You are not authorized to complete the request.
405 Method Not Allowed – MethodNotAllowed
- GET /line-item-with-available-for-run-prints/¶
List all of the line_item in the system for your account with prints available for a new run.
List all of the line_item in the system for your account with prints available for a new run.
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested line-item cannot be found.
- POST /line-item-with-available-for-run-prints/¶
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested line-item cannot be found.
- Response Headers:
Location – URI of the created resource
- GET /line-item-with-available-for-run-prints/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested line-item cannot be found.
- PUT /line-item-with-available-for-run-prints/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested line-item cannot be found.
- DELETE /line-item-with-available-for-run-prints/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – The requested line-item cannot be found.
- GET /line-item-actuals/¶
List all line item actuals.
List all line item actuals.
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested line item actuals cannot be found.
403 Forbidden – You are not authorized to complete the request.
405 Method Not Allowed – MethodNotAllowed
- POST /line-item-actuals/¶
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested line item actuals cannot be found.
403 Forbidden – You are not authorized to complete the request.
405 Method Not Allowed – MethodNotAllowed
- Response Headers:
Location – URI of the created resource
- GET /line-item-actuals/{uuid}/¶
Get an line item actuals by UUID.
Get an line item actuals by UUID.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested line item actuals cannot be found.
403 Forbidden – You are not authorized to complete the request.
405 Method Not Allowed – MethodNotAllowed
- PUT /line-item-actuals/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested line item actuals cannot be found.
403 Forbidden – You are not authorized to complete the request.
405 Method Not Allowed – MethodNotAllowed
- DELETE /line-item-actuals/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – The requested line item actuals cannot be found.
403 Forbidden – You are not authorized to complete the request.
405 Method Not Allowed – MethodNotAllowed
- GET /line-item-workstep-cost-estimate/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested line item cost estimate cannot be found.
403 Forbidden – You are not authorized to complete the request.
- POST /line-item-workstep-cost-estimate/¶
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested line item cost estimate cannot be found.
403 Forbidden – You are not authorized to complete the request.
- Response Headers:
Location – URI of the created resource
- GET /line-item-workstep-cost-estimate/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested line item cost estimate cannot be found.
403 Forbidden – You are not authorized to complete the request.
- PUT /line-item-workstep-cost-estimate/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested line item cost estimate cannot be found.
403 Forbidden – You are not authorized to complete the request.
- DELETE /line-item-workstep-cost-estimate/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – The requested line item cost estimate cannot be found.
403 Forbidden – You are not authorized to complete the request.
- GET /line-item-workstep-estimate/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested line item estimate cannot be found.
403 Forbidden – You are not authorized to complete the request.
- POST /line-item-workstep-estimate/¶
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested line item estimate cannot be found.
403 Forbidden – You are not authorized to complete the request.
- Response Headers:
Location – URI of the created resource
- GET /line-item-workstep-estimate/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested line item estimate cannot be found.
403 Forbidden – You are not authorized to complete the request.
- PUT /line-item-workstep-estimate/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested line item estimate cannot be found.
403 Forbidden – You are not authorized to complete the request.
- DELETE /line-item-workstep-estimate/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – The requested line item estimate cannot be found.
403 Forbidden – You are not authorized to complete the request.
- GET /line-item-netfabb/¶
Get a list of all Netfabb line items.
Get a list of all Netfabb line items.
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested netfab integration cannot be found.
403 Forbidden – You are not authorized to complete the request.
- POST /line-item-netfabb/¶
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested netfab integration cannot be found.
403 Forbidden – You are not authorized to complete the request.
- Response Headers:
Location – URI of the created resource
- GET /line-item-netfabb/{uuid}/¶
Get a Netfabb line item by UUID.
Get a Netfabb line item by UUID.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested netfab integration cannot be found.
403 Forbidden – You are not authorized to complete the request.
- GET /line-item-report/¶
List all of the line item reports in the system for your account.
List all of the line item reports in the system for your account.
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested report cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – There is a mismatch in the bureau of the requesting user and the bureau of the requested user
- POST /line-item-report/¶
Create a new line item report.
Create a new line item report.
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested report cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – There is a mismatch in the bureau of the requesting user and the bureau of the requested user
- Response Headers:
Location – URI of the created resource
- GET /line-item-report/{uuid}/¶
Get a single line item report by UUID.
Get a single line item report by UUID.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested report cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – There is a mismatch in the bureau of the requesting user and the bureau of the requested user
- GET /line-item-quote/¶
HTTPS GET handler if no uuid provided (list)
HTTPS GET handler if no uuid provided (list)
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – RecordNotFound
403 Forbidden – Unauthorized
- GET /line-item-quote/{uuid}/¶
HTTPS GET handler if uuid provided
HTTPS GET handler if uuid provided
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – RecordNotFound
403 Forbidden – Unauthorized
- PUT /line-item-quote/{uuid}/¶
HTTPS PUT handler
HTTPS PUT handler
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – RecordNotFound
403 Forbidden – Unauthorized